Package org.eclipse.mat.inspections

# Class FindLeaksQuery.AccumulationPointOfGroupOfObject

java.lang.Object
org.eclipse.mat.inspections.FindLeaksQuery.AccumulationPoint
org.eclipse.mat.inspections.FindLeaksQuery.AccumulationPointOfGroupOfObject

Enclosing class:
  FindLeaksQuery

public static class FindLeaksQuery.AccumulationPointOfGroupOfObject extends FindLeaksQuery.AccumulationPoint

## Constructor Summary

Constructors
Constructor
Description
`AccumulationPointOfGroupOfObject(IObject object, int[] commonPath, IMultiplePathsFromGCRootsComputer pathsComputer)`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getCommonPath()`
`IMultiplePathsFromGCRootsComputer`
`getPathsComputer()`

### Methods inherited from class org.eclipse.mat.inspections.FindLeaksQuery.AccumulationPoint

`getObject, getRetainedHeapSize`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccumulationPointOfGroupOfObject

public AccumulationPointOfGroupOfObject(IObject object, int[] commonPath, IMultiplePathsFromGCRootsComputer pathsComputer)

## Method Details

### getCommonPath

public int[] getCommonPath()

### getPathsComputer

public IMultiplePathsFromGCRootsComputer getPathsComputer()